/positions/{accountId}/{asset}/scalping-coefficientSi la cuenta está actualmente dentro de la ventana de scalping en este mercado — el período posterior a un aumento durante el cual el mercado cobra el spread dinámico elevado.
amountes el multiplicador aplicado dentro de la ventana yamountRegularel aplicado fuera de ella, ambos fp9.activeSinceyactiveUntilse devuelven solo mientras la ventana está activa; sin un aumento reciente, están ausentes y se aplica el multiplicador regular.recentVolume.longyrecentVolume.shortcontienen el volumen acumulado después de la última apertura o aumento ejecutado en cada dirección, en USD fp9 en bruto. Excluye la orden que se está ingresando actualmente y se suma a su tamaño al calcular el impacto de precio dinámico.- Cada dirección tiene su propio
updatedAtyactiveUntil: el volumen decae linealmente a cero durante 60 segundos, independientemente de la ventana de scalping. - Una dirección es nula cuando su volumen se ha recuperado por completo o no tiene una instantánea de impacto de precio dinámico.
https://api.upscale.tradeParámetros
accountIdstring · uuidobligatorioIdentificador de la cuenta del trader. Debe pertenecer al solicitante.
00000000-0000-4000-8000-000000000000assetstringobligatorioTicker del activo base del mercado, tal como lo devuelve GET /v2/markets.
BTCEjemplos
curl --request GET 'https://api.upscale.trade/positions/{accountId}/{asset}/scalping-coefficient' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'const response = await fetch("https://api.upscale.trade/positions/{accountId}/{asset}/scalping-coefficient", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer YOUR_API_KEY"
},
});
console.log(response.status, await response.text());import requests
response = requests.request(
"GET",
"https://api.upscale.trade/positions/{accountId}/{asset}/scalping-coefficient",
headers={"Accept":"application/json","Authorization":"Bearer YOUR_API_KEY"},
timeout=30,
)
print(response.status_code, response.text)Respuestas
No autorizado
La cuenta pertenece a otro usuario (account_access_denied), o la solicitud se autentica con una clave de API mientras api_trading está deshabilitado en la cuenta (api_trading_not_enabled).
No hay ninguna cuenta con este identificador, o no hay ningún mercado para este ticker.
Se superó el límite de velocidad de la clave de API (api_key_rate_limit_exceeded). Retry-After indica cuándo volver; el cuerpo incluye el bucket (read / write), la ventana que se activó, su límite y retryAt.
defaultRespuestaapplication/json
activeSincestring · date-timeopcionalStart of the running scalping window — the last increase on this market. Absent when no increase happened inside the window.
2026-05-01T12:30:00.000ZactiveUntilstring · date-timeopcionalEnd of the running scalping window. Absent together with activeSince.
2026-05-01T12:30:00.000Zamountstring · fp9obligatorioSpread multiplier charged while the window is running, fp9 raw (2000000000 = 2x).
- pattern
- ^(?:-?[1-9][0-9]*|0)$
1000000000amountRegularstring · fp9obligatorioSpread multiplier charged outside the window, fp9 raw (1000000000 = 1x).
- pattern
- ^(?:-?[1-9][0-9]*|0)$
1000000000recentVolumeobjectobligatorioAccumulated executed volume counted in the next open or increase, per direction, with its own recovery window; 60 seconds by default.
Objeto · 2 campos
longobject · nullableobligatorioRecent long volume. Null when no volume remains in this direction.
Objeto · 3 campos
volumestring · fp9obligatorioVolume right after the latest execution, USD fp9 raw. It decays linearly from updatedAt to zero at activeUntil.
- pattern
- ^(?:-?[1-9][0-9]*|0)$
1000000000updatedAtstring · date-timeobligatorioLatest execution of an open or increase in this direction.
2026-05-01T12:30:00.000ZactiveUntilstring · date-timeobligatorioMoment the volume decays to zero according to the trading recovery window; 60 seconds by default.
2026-05-01T12:30:00.000ZVer ejemplo
{
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
}shortobject · nullableobligatorioRecent short volume. Null when no volume remains in this direction.
Objeto · 3 campos
volumestring · fp9obligatorioVolume right after the latest execution, USD fp9 raw. It decays linearly from updatedAt to zero at activeUntil.
- pattern
- ^(?:-?[1-9][0-9]*|0)$
1000000000updatedAtstring · date-timeobligatorioLatest execution of an open or increase in this direction.
2026-05-01T12:30:00.000ZactiveUntilstring · date-timeobligatorioMoment the volume decays to zero according to the trading recovery window; 60 seconds by default.
2026-05-01T12:30:00.000ZVer ejemplo
{
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
}Ver ejemplo
{
"long": {
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
},
"short": {
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
}
}{
"activeSince": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z",
"amount": "1000000000",
"amountRegular": "1000000000",
"recentVolume": {
"long": {
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
},
"short": {
"volume": "1000000000",
"updatedAt": "2026-05-01T12:30:00.000Z",
"activeUntil": "2026-05-01T12:30:00.000Z"
}
}
}